.toast {
    border-radius: var(--border-radius);
    display: inline-block;
    padding: 1.25rem;
    min-width: 35rem;
    max-width: 50vw;
    position: fixed;
    right: 2rem;
    bottom: 2rem;
    font-weight: bold;
    z-index: 1;
    color: rgb(var(--primary-color-text));
    animation: toast-animation 0.2s;
    transition: opacity 0.2s;
}

.toast.fading-out {
    opacity: 0;
}


@keyframes toast-animation {
    0% {
        opacity: 0;
        transform: translateX(1rem);
    }

    100% {
        opacity: 1;
        transform: translateX(0);
    }
}


.toast.primary {
    background: rgb(var(--primary-color));
    border-color: rgb(var(--primary-color));
    color: rgb(var(--primary-color-text));
}

.toast.success {
    background: rgb(var(--success-color));
    border-color: rgb(var(--success-color));
    color: rgb(var(--success-color-text));
}

.toast.error {
    background: rgb(var(--error-color));
    border-color: rgb(var(--error-color));
    color: rgb(var(--error-color-text));
}

.toast.warning {
    background: rgb(var(--warning-color));
    border-color: rgb(var(--warning-color));
    color: rgb(var(--warning-color-text));
}
